Package org.kapott.hbci.sepa.jaxb.pain_001_002_03

# Enum Class DocumentType3CodeSEPA

java.lang.Object
java.lang.Enum<DocumentType3CodeSEPA>
org.kapott.hbci.sepa.jaxb.pain_001_002_03.DocumentType3CodeSEPA

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentType3CodeSEPA>`, `Constable`

public enum DocumentType3CodeSEPA extends Enum<DocumentType3CodeSEPA>

Java class for DocumentType3CodeSEPA.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="DocumentType3CodeSEPA">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="SCOR"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SCOR`

## Method Summary

Modifier and Type
Method
Description
`static DocumentType3CodeSEPA`
`fromValue(String v)`
`String`
`value()`
`static DocumentType3CodeSEPA`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DocumentType3CodeSEPA[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SCOR

public static final DocumentType3CodeSEPA SCOR

## Method Details

### values

public static DocumentType3CodeSEPA[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DocumentType3CodeSEPA valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static DocumentType3CodeSEPA fromValue(String v)